<?php

namespace Sabre\QueueAccess;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'QueueAccessRQ' => '\\Sabre\\QueueAccess\\Structs\\QueueAccessRQ',
            'Navigation' => '\\Sabre\\QueueAccess\\Structs\\Navigation',
            'Direction' => '\\Sabre\\QueueAccess\\Structs\\Direction',
            'QueueIdentifier' => '\\Sabre\\QueueAccess\\Structs\\QueueIdentifier',
            'List' => '\\Sabre\\QueueAccess\\Structs\\_List',
            'Selection' => '\\Sabre\\QueueAccess\\Structs\\Selection',
            'SabreHeader' => '\\Sabre\\QueueAccess\\Structs\\SabreHeader',
            'DiagnosticResults' => '\\Sabre\\QueueAccess\\Structs\\DiagnosticResults',
            'Diagnostics' => '\\Sabre\\QueueAccess\\Structs\\Diagnostics',
            'Identification' => '\\Sabre\\QueueAccess\\Structs\\Identification',
            'Identifier.System' => '\\Sabre\\QueueAccess\\Structs\\Identifier_System',
            'Message.Condition' => '\\Sabre\\QueueAccess\\Structs\\Message_Condition',
            'ProblemBase' => '\\Sabre\\QueueAccess\\Structs\\ProblemBase',
            'ProblemSummary' => '\\Sabre\\QueueAccess\\Structs\\ProblemSummary',
            'ResultSummary' => '\\Sabre\\QueueAccess\\Structs\\ResultSummary',
            'Security' => '\\Sabre\\QueueAccess\\Structs\\Security',
            'Service' => '\\Sabre\\QueueAccess\\Structs\\Service',
            'Traces' => '\\Sabre\\QueueAccess\\Structs\\Traces',
            'TraceRecord' => '\\Sabre\\QueueAccess\\Structs\\TraceRecord',
            'TrackingID' => '\\Sabre\\QueueAccess\\Structs\\TrackingID',
            'STL_Payload' => '\\Sabre\\QueueAccess\\Structs\\STL_Payload',
            'Results' => '\\Sabre\\QueueAccess\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\QueueAccess\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\QueueAccess\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\QueueAccess\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\QueueAccess\\Structs\\HostCommand',
            'QueueAccessRS' => '\\Sabre\\QueueAccess\\Structs\\QueueAccessRS',
            'Line' => '\\Sabre\\QueueAccess\\Structs\\Line',
            'POS' => '\\Sabre\\QueueAccess\\Structs\\POS',
            'Source' => '\\Sabre\\QueueAccess\\Structs\\Source',
            'UniqueID' => '\\Sabre\\QueueAccess\\Structs\\UniqueID',
            'Paragraph' => '\\Sabre\\QueueAccess\\Structs\\Paragraph',
            'SignatureType' => '\\Sabre\\QueueAccess\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\QueueAccess\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\QueueAccess\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\QueueAccess\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\QueueAccess\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\QueueAccess\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\QueueAccess\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\QueueAccess\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\QueueAccess\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\QueueAccess\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\QueueAccess\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\QueueAccess\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\QueueAccess\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\QueueAccess\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\QueueAccess\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\QueueAccess\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\QueueAccess\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\QueueAccess\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\QueueAccess\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\QueueAccess\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\QueueAccess\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\QueueAccess\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\QueueAccess\\Structs\\Envelope',
            'Header' => '\\Sabre\\QueueAccess\\Structs\\Header',
            'Body' => '\\Sabre\\QueueAccess\\Structs\\Body',
            'Fault' => '\\Sabre\\QueueAccess\\Structs\\Fault',
            'detail' => '\\Sabre\\QueueAccess\\Structs\\Detail',
            'Manifest' => '\\Sabre\\QueueAccess\\Structs\\Manifest',
            'Reference' => '\\Sabre\\QueueAccess\\Structs\\Reference',
            'Schema' => '\\Sabre\\QueueAccess\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\QueueAccess\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\QueueAccess\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\QueueAccess\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\QueueAccess\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\QueueAccess\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\QueueAccess\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\QueueAccess\\Structs\\ErrorList',
            'Error' => '\\Sabre\\QueueAccess\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\QueueAccess\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\QueueAccess\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\QueueAccess\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\QueueAccess\\Structs\\PartyId',
            'To' => '\\Sabre\\QueueAccess\\Structs\\To',
            'From' => '\\Sabre\\QueueAccess\\Structs\\From',
            'Description' => '\\Sabre\\QueueAccess\\Structs\\Description',
            'UsernameToken' => '\\Sabre\\QueueAccess\\Structs\\UsernameToken',
        );
    }
}
